{% set CodiceModulo = "E291_RICH_ISCR_TRASPORTO" %}
{% set Urn = "document:c_e291:trasporto.scolastico;iscrizione;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"ATT_ISEE",
  "urn":"document:s_italia:generale;dichiarazione.isee;documentazione",
  "descrizione_tabella_allegati":"Copia dell'attestazione ISEE",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Copia attestazione ISEE",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Tassonomia_ISEE_SI.checked()",
  "dynamic_check":"#Tassonomia_ISEE_SI.checked()",
  "tipo":"allegato",
  "tipo_mime":"application/pdfn,image/jpeg,image/png"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  },
{ "codice":"COPIA-CARTA-DELEGATO",
  "urn":"document:c_e291:copia.carta.identita.delegato",
  "descrizione_tabella_allegati":"copia del documento di identità delegato",
  "annotazioni_tabella_allegati":"(da allegare se presente il delegato)",
  "descrizione_meta":"", 
  "filename":"Documento identita delegato 1",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"0",
  "dimensione":"15",
  "enabled":"#Tassonomia_Iscrizione2.checked()",
  "dynamic_check":"#Tassonomia_Iscrizione2.checked()",
  "tipo":"allegato",
  "tipo_mime":"application/pdfn,image/jpeg,image/png" 
  }
  ]%}

{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI_SENSIBILI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di iscrizione al servizio di trasporto scolastico"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="1.2|05/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}

{% block title %}Domanda di iscrizione al servizio di trasporto scolastico infanzia e primaria{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
{{ utils.firma() }}
</globo_fondo_pagina>

<input dynamic_value="#Ente.value()" id="Parametri_Comune" name="Parametri_Comune" type="hidden"/>
 
<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - iscrizione servizio trasporto scolastico'" id="Oggetto" name="Oggetto" type="hidden"/>

{% block attivazione_temporale %}
{{ utils.attivazione_temporale_procedure("procedure%3As_italia%3Atrasporto.scolastico%3Biscrizione") }}
{% endblock attivazione_temporale %}

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<h1 class="Modulo">
  Domanda di iscrizione al servizio di trasporto scolastico infanzia e primaria <br />
  {{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}
</h1>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto genitore, tutore o affidatario", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<input id="Referente1_DatiPersonaObbligatori" name="Referente1_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Referente1_Titolo" name="Referente1_Titolo" type="hidden" value="Minore"/>
<input id="Referente1_Ruolo" name="Referente1_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente1", 
                              intestazione="dell'alunno", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_carica_dati="visibility:hidden",
                              visibility_residenza="visibility:hidden", 
                              visibility_mail="false", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> iscritto alla scuola </span>
    </div>
  </div>
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-4">
      <label for="Parametri_Scuola"> Scuola </label>
      <select class="form-control custom-select" id="Parametri_Scuola" name="Parametri_Scuola" style="width: 100%;" label="Scuola">
          <option value=""></option>
        <optgroup label="Infanzia">
          <option value="Luca della Robbia">Luca della Robbia</option>
          <option value="Buondelmonte de' Buondelmonti">Buondelmonte de' Buondelmonti</option>
          <option value="Maria Maltoni">Maria Maltoni</option>
        </optgroup>
        <optgroup label="Primaria">
          <option value="Ferdinando Paolieri">Ferdinando Paolieri</option>
          <option value="Alice Sturiale">Alice Sturiale</option>
        </optgroup>
      </select>
      <!--<label for="Parametri_Scuola"> Scuola </label>
      <input class="form-control" id="Parametri_Scuola" name="Parametri_Scuola" label="Scuola"> -->
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_Classe"> Classe </label>
      <input class="form-control" id="Parametri_Classe" name="Parametri_Classe" label="Classe">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_Sezione"> Sezione </label>
      <input class="form-control" id="Parametri_Sezione" name="Parametri_Sezione" label="Sezione">
    </div>
  </div>
</div>

<h3 class="Modulo">
  CHIEDE
</h3>

<p class="Modulo">l'iscrizione al servizio di trasporto scolastico.</p>
{{ utils.Dichiara_445() }}
{{ utils_scolastici.dichiarazione_miur() }}

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_ISEE" name="Tassonomia_ISEE" label="Scelta agevolazione tariffaria" mandatory="true"></div>
    <input class="form-check-input" id="Tassonomia_ISEE_SI" name="Tassonomia_ISEE" type="radio" value="agevolazione tariffaria con ISEE" />
    <label class="form-check-label" for="Tassonomia_ISEE_SI">Di voler beneficiare di agevolazioni tariffarie in base alla presentazione di attestazione ISEE in corso di validità.</label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_ISEE_NO" name="Tassonomia_ISEE" type="radio" value="nessuna agevolazione tariffaria" />
    <label class="form-check-label" for="Tassonomia_ISEE_NO">Di NON voler beneficiare di agevolazioni tariffarie in base alla presentazione di attestazione ISEE in corso di validità.</label>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

<h3 class="Modulo">
  SI IMPEGNA A
</h3>

<div id="Tassonomia_Iscrizione" name="Tassonomia_Iscrizione" label="Scelta soggetto che riprende alunno" mandatory="true"></div>
<div class="container border bg-light">
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Iscrizione" id="Tassonomia_Iscrizione1" name="Tassonomia_Iscrizione1" type="checkbox" value="SI">
    <label class="form-check-label" for="Tassonomia_Iscrizione1">a riprendere personalmente il/la proprio/a figlio/a alla fermata e all'orario che verranno comunicati dall'Ufficio Socio Educativo</label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Iscrizione" id="Tassonomia_Iscrizione2" name="Tassonomia_Iscrizione2" type="checkbox" value="SI">
    <label class="form-check-label" for="Tassonomia_Iscrizione2"> a delegare le seguenti persone <div class="space-0"></div> <span class="infoes"> (allegare i documenti d'identità dei delegati) </span> </label>
    <div id="Tassonomia_Delegato" name="Tassonomia_Delegato" label="Delegato che riprende alunno" mandatory="#Tassonomia_Iscrizione2.checked()"></div>
    {% for i in range(1, 4) %}
        
          {{ anagrafica.cognome_nome(prefix='Delegato' ~ i, 
                                    intestazione='<input group="Tassonomia_Delegato" id="Delegato' ~ i ~ '_Parametri" name="Delegato' ~ i ~ '_Parametri" type="checkbox" label="" mandatory_enabled="#Tassonomia_Iscrizione2.checked()"/>&nbsp; Delegato n.' ~ i, 
                                    Solo1="Delegato" ~ i, 
                                    visibility_intestazione="visibility:visibility", 
                                    visibility_carica_dati="visibility:hidden",
                                    mandatory_enabled='#Delegato' ~ i ~ '_Parametri.checked()',
                                    visibility_container="false" ) }}
    {% endfor %}
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>

  {% for allegato in allegati %}
    <div class="form-check indent-1">
      <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />
      {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
      <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %} </label>
    </div>
  {% endfor %}

  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<br/>
  {{ utils.firma_hidden() }}
<br/>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value="" />

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
